Package com.complexible.common.dataexporter

# Class TableExporter.FixedTextTableWriter

java.lang.Object
com.brsanthu.dataexporter.DataWriter
com.brsanthu.dataexporter.AbstractDataWriter
com.brsanthu.dataexporter.output.texttable.TextTableWriter
com.complexible.common.dataexporter.TableExporter.FixedTextTableWriter

Enclosing class:
  `TableExporter`

public static class TableExporter.FixedTextTableWriter extends com.brsanthu.dataexporter.output.texttable.TextTableWriter
Fixes a bug in TextTableWriter where right intersection was used in every place a right left intersection was supposed to be used.

Author:
  Evren Sirin

- ## Field Summary

  ### Fields inherited from class com.brsanthu.dataexporter.DataWriter

  `options`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FixedTextTableWriter(OutputStream out)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getMaxRowHeight(com.brsanthu.dataexporter.model.RowDetails rowDetails)`
  `void`
  `printBottomBorder()`
  `void`
  `printHeaderCells(List<List<String>> headerLines)`
  `protected void`
  `printTopBorder()`
  `void`
  `printTopDownBorder()`
  `void`
  `writeHeader(com.brsanthu.dataexporter.model.Table table)`

  ### Methods inherited from class com.brsanthu.dataexporter.output.texttable.TextTableWriter

  `afterTable, formatHeaderCells, formatRowCells, getStyle, getTextTableExportOptions, printLine, printLine, printLine, writeRow`

  ### Methods inherited from class com.brsanthu.dataexporter.AbstractDataWriter

  `afterFooterRow, afterHeaderCell, afterHeaderRow, afterRow, afterRowCell, beforeFooterRow, beforeHeaderCell, beforeHeaderRow, beforeRow, beforeRowCell, beforeTable, writeHeaderCell, writeRowCell`

  ### Methods inherited from class com.brsanthu.dataexporter.DataWriter

  `finishExporting, flush, generateRowData, getOptions, print, print, println, println, setOutputStream, writeRows, writeTable`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FixedTextTableWriter

    public FixedTextTableWriter(OutputStream out)

- ## Method Details

  - ### printTopBorder

    protected void printTopBorder()
    Overrides:
      `printTopBorder` in class `com.brsanthu.dataexporter.output.texttable.TextTableWriter`

  - ### printTopDownBorder

    public void printTopDownBorder()
    Overrides:
      `printTopDownBorder` in class `com.brsanthu.dataexporter.output.texttable.TextTableWriter`

  - ### printBottomBorder

    public void printBottomBorder()
    Overrides:
      `printBottomBorder` in class `com.brsanthu.dataexporter.output.texttable.TextTableWriter`

  - ### printHeaderCells

    public void printHeaderCells(List<List<String>> headerLines)
    Overrides:
      `printHeaderCells` in class `com.brsanthu.dataexporter.output.texttable.TextTableWriter`

  - ### getMaxRowHeight

    public int getMaxRowHeight(com.brsanthu.dataexporter.model.RowDetails rowDetails)
    Overrides:
      `getMaxRowHeight` in class `com.brsanthu.dataexporter.output.texttable.TextTableWriter`

  - ### writeHeader

    public void writeHeader(com.brsanthu.dataexporter.model.Table table)
    Overrides:
      `writeHeader` in class `com.brsanthu.dataexporter.output.texttable.TextTableWriter`